WAITFOR(1)

NAME
waitfor - wait for a file action, with timeout.

SYNOPSIS

waitfor [-t seconds] [-n] file

DESCRIPTION

waitfor will wait for a file to appear, or with the -n option, for a file to disappear. If a timeout is provided, with the [-t] option, if the file action doesn't happen within the time specified, the program will exit.

RETURN VALUES

The program will return 0 if the file action happens. If no timeout is specified, waitfor will wait forever. If a timeout is specified, and the file action does not happen within the timeout specified, waitfor will return 1.

SEE ALSO

pam_sshauth(8),

AUTHOR

waitfor was written by Scott Balneaves <sbalneav@ltsp.org>.